
//切换
jQuery(".arealine .menu").click(function(){
	jQuery(".arealine .menu").removeClass("menucurrent");
	jQuery(this).addClass("menucurrent");
	var value = jQuery(this).attr("value");
	if(value==0){ jQuery("div .item[flag!='QQBind']").show(); jQuery("div [flag='reg']").hide();jQuery("div .item[flag='QQBind']").hide(); jQuery("#btnSubmit").val("登陆");}
	else if(value==1) {jQuery("div .item[flag!='QQBind']").show(); jQuery("div [flag='reg']").show();jQuery("div .item[flag='QQBind']").hide(); jQuery("#btnSubmit").val("注册");}
	else if(value==2) { jQuery("div .item[flag!='QQBind']").hide(); jQuery("div .item[flag='QQBind']").show(); jQuery("#btnSubmit").val("绑定");}
});

jQuery(".content input").focus(function(){
	jQuery(".content div").removeClass("SelectLine");
	jQuery(this).parent().parent().addClass("SelectLine");
});

//提交
jQuery("#btnSubmit").click(function(){	
	var value = jQuery(".menucurrent").attr("value");
	if(value==0)Login();
	else if(value==1) Reg();
	else if(value==2) {
		var _openid = jQuery("#UserQQOpenId").val();
		CheckUserLoginAndQQBind(0,_openid);
	}
});
//初始化
jQuery("div [flag='reg']").hide();
//jQuery("div .arealine .menu[value='1']").click();//根据情况修改value的值，用于显示当前
//fun


function Login(){
	var t = false;
	t = CheckNickNameForLogin("nickname");
	if(t) t = CheckPassForLogin("password"); 
	if(t){
		var uName = jQuery("#nickname").val();
		var uPass = jQuery("#password").val();
		jQuery.ajax({
			async:false,
			cache:false,
			type:"post",
			url:"/index.aspx?s=/User/FastUserLogin/&IsAdd=101",
			data:{"username":uName,"password":uPass},
			success:function(msg){ 
				if(msg==1){
					//alert("登陆成功，请根据提示进行QQ帐户绑定。");
					var _openid = jQuery("#UserQQOpenId").val();
						CheckUserLoginAndQQBind(0,_openid);
				} 
				else {alert("用户登陆有误,可能的原因:\r\n\r\n\t1.用户名或密码错误;\r\n\t2.网络故障.");}
			}
		});
	}
}

//注册资料有效性检查并提交
function Reg(){
	var t = false;
	t = CheckNickName("nickname");
	if(t) t = CheckEmail("email"); 
	if(t) t = CheckMobile("Mobile"); 
	if(t) t = CheckPass("password"); 
	if(t){
		// var str = jQuery.param(params);
		var params={
			InviteUserID:0,
				UserNickName:''+jQuery("#nickname").val(),
				UserEmail:''+jQuery("#email").val(),
				UserMobile:''+jQuery("#Mobile").val(),
				UserSmsCode:''+jQuery("#UserSmsCode").val(),
				UserPassword:''+jQuery("#password").val(),
				verifyCode:''+jQuery("#verifyCode").val(),
				UserQQOpenId:''+jQuery("#UserQQOpenId").val()	
		}
		//alert("检查通过，准备提交")
		RegSubmit(params);
		//注册成功后，提示是否绑定。
		//此种情况下，由于昵称、邮箱、电话等均不重复，故可以让其直接登陆，因此，登陆时自动完成绑定。即查看该openid是否存在，如果存在，则完成绑定。
		//明天，须修改逻辑层 User 类。
	}
}
//昵称
function CheckNickName(id){
	//位数，
	var t = CheckNickNameForLogin(id);
	
	var o = jQuery('#'+id);var value = jQuery.trim(o.val());
	var t = value.length>=6;
	
	if(!t){UpdateShow(id,-1,'用户名格式无效(不为空)');return false;}
	//是否已存在
	if(t){
	    CheckExisted("UserNickName",value,function (msg) {
	            if (msg == 1) {UpdateShow(id,-1,'该用户名已存在。');t=false;} 
	            else {UpdateShow(id,1,'恭喜，您可以使用该用户名。');t =  true;}
	        });
	}
	return t;
		
}
function CheckNickNameForLogin(id){	
	var o = jQuery('#'+id);var value = jQuery.trim(o.val());
	var t = value.length>=6;
	if(t)UpdateShow(id,1,'');
	else UpdateShow(id,-1,'用户多长度不足，6~20个字符');
	return t;
}
//手机号
function CheckMobile(id){
	var o = jQuery('#'+id);var value = jQuery.trim(o.val());
	var t = Common.IsPhone(value);

	if(!t) UpdateShow(id,-1,'手机号格式无效(不为空)');
	if(t){
	    CheckExisted("UserMobile",value,function (msg) {
	            if (msg == 1) {UpdateShow(id,-1,'该手机号已被使用。');t=false;} 
	            else {UpdateShow(id,1,'恭喜，该手机号暂未被使用。');t =  true;}
	        });
	}
//	if(t)UpdateShow(id,1,'');
	return t;
}
//密码
function CheckPassForLogin(id){
	var o = jQuery('#'+id);
	var value = jQuery.trim(o.val());
	if(value.length<6){UpdateShow(id,-1,'密码不足6个字符');return false;}
	else UpdateShow(id,1,'');
	return true;
}
function CheckPass(id){
	var o = jQuery('#'+id);
	var value = jQuery.trim(o.val());
	if(value.length<6){UpdateShow(id,-1,'密码不足6个字符');return false;}
	var chv= Common.CheckPasswordStrong(value);
	if(chv==0)UpdateShow(id,-1,'密码太短，安全系数极低');
	else if(chv==1) UpdateShow(id,0,'密码过于简单，安全系数低');
	else if(chv==2) UpdateShow(id,0,'密码复杂度一般，安全系数中等');
	else if(chv==3) UpdateShow(id,1,'密码复杂度很高，安全系数高');
	//两次输入的密码是否一致
	var o2 = jQuery('#'+id+"2");
	var value2=jQuery.trim(o2.val());
	if(value!=value2){UpdateShow(id+"2",-1,'两次输入的密码不一致');return false;}
	else UpdateShow(id+"2",1,'');
	
	return true;
}
//邮箱
function CheckEmail(id){
	var o = jQuery('#'+id);var value = jQuery.trim(o.val());
	var t = Common.CheckEmail(value);

	if(!t) UpdateShow(id,-1,'邮箱格式无效(不为空)');
	if(t){
	    CheckExisted("UserEmail",value,function (msg) {
	            if (msg == 1) {UpdateShow(id,-1,'该邮箱已被使用。');t=false;} 
	            else {UpdateShow(id,1,'恭喜，该邮箱暂未被使用。');t =  true;}
	        });
	}
//	if(t)UpdateShow(id,1,'');
	return t;
}

//针对对应标签
function UpdateShow(id,v,msg){
	var o = jQuery("#" + id).parent().parent("div").children(".Msg").removeClass("SuccessIcon").removeClass("ErrorIcon").removeClass("DefaultIcon");
	
	if(v==0) o.addClass("DefaultIcon");
	else if(v==1) o.addClass("SuccessIcon");
	else if(v==-1) o.addClass("ErrorIcon");
	else {}
	o.html(msg);
	if(v!=1) jQuery("#" + id).focus();
}

//生成随机码
function reloadcode() {//重新生成验证码
	var url = '/index.aspx?s=/User/verify/&w=56&h=25&tid=' + (new Date().getTime().toString(36));
	//ShowErrorMsg(url);
	document.getElementById('safecode').src = url;	
}

//发短信验证码（手机短信）
function SendSmsCode(){
	var _phone = jQuery("#UserMobile").val();
	if(_phone.trim().length<1) _phone="130";
	//Common.IsPhone
	//if(/^1[0-9]\d{9}$/.test(phone))
	if(Common.IsPhone(_phone)){
		Common.Ajax(
			"POST"
			,"/index.aspx?s=/UserInfo/UserRegister2/&IsAdd=8&t="+ new Date().getTime() //由6改为8
			,{"PhoneNo":_phone}
			,function(msg){if(msg!=1) alert("短信发送失败。");else alert("您好，短信验证码已发送到您的手机上，请查收。");}
			,function(msg){alert("网络异常。");}
		);	
	}
}

//注册提交
function RegSubmit(queryString)
{
//alert("恭喜您，您已注册并与当前的QQ绑定成功，请先查收您的邮件并完成您的帐户激活。");
//return false;
	jQuery.ajax({
		async:false,
		cache:false,
		type:"post",
		url:"/index.aspx?s=/UserInfo/UserRegister2/&IsAdd=7&t="+ new Date().getTime(),
		data:queryString,
		success:function(msg){ 
			switch(msg)
			{
				case "-1":alert("注册不成功(可能的原因有：\r\n 1.用户名（即昵称）已被注册；\r\n 2.用户邮箱已被注册；\r\n 3.手机号已被注册；\r\n 4.未知错误。");break;
				case "-2":alert("验证码不正确。");break;
				case "0":alert("注册不成功(可能的原因有：\r\n 1.用户名（即昵称）已被注册；\r\n 2.用户邮箱已被注册；\r\n 3.手机号已被注册；\r\n 4.未知错误。");break;
				case "1":
					var _tag = "恭喜您，您已注册成功，请先查收您的邮件并完成您的帐户激活。";
					if(queryString.UserQQOpenId.length>15){_tag = "恭喜您，您已注册并与当前的QQ绑定成功，请先查收您的邮件并完成您的帐户激活。";}
					alert(_tag);				
					break;
				case "100":alert("短信验证码不正确。");break;
				case "201":alert("手机号无效。");break;
				default:	break;
				
			}
			reloadcode();
		},
		error:function(msg){alert("注册失败.");reloadcode();
		}
	});	
}		




